Bug 479866 - Review Request: eclipse-linuxprofilingframework - Eclipse Linux Tools Profiling Framework
Review Request: eclipse-linuxprofilingframework - Eclipse Linux Tools Profili...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 12:27 EST by Andrew Overholt
Modified: 2009-01-26 15:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 15:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2009-01-13 12:27:06 EST
Spec URL: http://overholt.fedorapeople.org/eclipse-linuxprofilingframework.spec
SRPM URL: http://overholt.fedorapeople.org/eclipse-linuxprofilingframework-0.1.0-0.1.fc10.src.rpm
Description: Plugins common to Eclipse Linux Tools profiling tools.
Comment 1 Alexander Kurtakov 2009-01-22 16:33:05 EST
Taking this one.
Comment 2 Alexander Kurtakov 2009-01-22 16:34:34 EST
OK rpmlint shows no warnings
OK package named correctly
OK spec file named correctly
OK meets the Packaging Guidelines .
OK license is correct, approved and in the %doc
OK The License field in the package spec file must match the actual license.
OK Shell script for fetching sources is included
OK The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK owns all directories
OK doesn't contain any duplicate files
OK permissions are correctly set
OK clean section present
OK Each package must consistently use macros. 
OK The package must contain code, or permissable content. 
OK  no large documentation files 
OK If a package includes something as %doc, it must not affect the runtime of the application. 
OK  Packages must not own files or directories already owned by other packages. T
OK At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK All filenames in rpm packages must be valid UTF-8

The package is good to go.
Comment 3 Andrew Overholt 2009-01-23 12:07:11 EST
Thanks for the review, Alex!
Comment 4 Andrew Overholt 2009-01-23 12:14:11 EST
New Package CVS Request
=======================
Package Name: eclipse-linuxprofilingframework
Short Description: Plugins common to Eclipse Linux Tools profiling tools.
Owners: overholt
Branches: F-10
InitialCC: ebaron
Comment 5 Kevin Fenzi 2009-01-23 18:08:33 EST
cvs done.
Comment 6 Andrew Overholt 2009-01-26 15:00:22 EST
This is now built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.